---

- name: Install postgres package
  yum:
    name: "postgresql{{ postgres_version_repo }}-server-{{ postgres_version }}"
    state: present
  tags: setup

- name: Install contrib package
  yum:
    name: "postgresql{{ postgres_version_repo }}-contrib-{{ postgres_version }}"
    state: present
  tags: setup

- name: Install devel packages
  yum:
    name: "{{ item }}"
    state: present
  tags: setup
  loop:
    - "postgresql{{ postgres_version_repo }}-devel-{{ postgres_version }}"

- name: Check if the data dir exists
  shell: "{{ postgres_bin_checkdir }} {{ postgres_data_dir }}"
  register: datadir_check
  ignore_errors: yes

- name: Adding {{ postgres_bin_dir }} to path
  lineinfile: >
    dest=/etc/environment
    state=present
    backrefs=yes
    regexp='PATH=(["]*)((?!.*?{{postgres_bin_dir}}).*?)(["]*)$'
    line="PATH=\1\2:{{postgres_bin_dir}}\3"
  tags: setup

- name: create the data dir
  shell: "{{ postgres_bin_setupdir }} initdb"
  when: datadir_check.rc != 0

- name: setup the config file
  template:
    src: "{{ item }}.j2"
    dest: "{{ postgres_data_dir }}/{{ item }}"
  loop:
    - postgresql.conf
    - pg_hba.conf
  tags: config
  notify:
    - postgres reload


- name: Ensure PostgreSQL is running
  service:
    name: postgresql-{{ postgres_version_major }}
    enabled: yes
    state: started
  tags: postgres

- name: pd reset database user
  become: yes
  become_method: sudo
  become_user: postgres
  shell: "psql -c \"ALTER USER postgres PASSWORD 'postgres'\""
  tags: postgres